Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 15 Dec 2020 09:43:07 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Order #9618395802

I had placed this order in  Nov and dint get any notification even after 12 days, so I called up your Customer service to speed up the process, but still no update. Today I called up the Customer service requesting them to cancel this order as I will be traveling tomorrow and have no time to wait.  but they were unable to give me a better response. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1877018